=== meson_options.txt ===
option('gtk_doc',
    type: 'boolean', value: false,
    description: 'Build API references (requires gtk-doc)')

option('introspection',
    type: 'boolean', value: true,
    description: 'Build introspection data (requires gobject-introspection)')

option('bashcompletiondir',
    type: 'string',
    description: 'directory for bash complection scripts ["no" disables]')
