=== debian/changelog ===
ufo-core (0.16.0.52.gbd831ab-1build7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:14:51 +1100

ufo-core (0.16.0.52.gbd831ab-1build6) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:44:25 +0000

ufo-core (0.16.0.52.gbd831ab-1build5) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:15:47 +0100

ufo-core (0.16.0.52.gbd831ab-1build4) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 09:13:07 +0000

ufo-core (0.16.0.52.gbd831ab-1build3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Dec 2022 10:06:53 +0000

ufo-core (0.16.0.52.gbd831ab-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 15:08:44 +0000

ufo-core (0.16.0.52.gbd831ab-1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 20:21:22 +0100

ufo-core (0.16.0.52.gbd831ab-1) unstable; urgency=medium

  * Uploading into unstable

 -- Serge Cohen <serge1cohen@free.fr>  Wed, 14 Oct 2020 11:46:05 +0200

ufo-core (0.16.0.52.gbd831ab-1~exp1) experimental; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Fix day-of-week for changelog entry 0.11.1-1.

  [ Serge Cohen ]
  * New upstream version 0.16.0.52.gbd831ab
  * d/patches: Removed
  * d/control: Bumped Standard-Version 4.5.0 (nothing to do)
  * d/control: Removed ufod package
  * d/control: Removed systemd from Build-Depends
  * d/watch: Trying to get upstream from serge's gitlab repo
  * d/salsa-ci.yml: -> recipes/debian.yml@salsa-ci-team/pipeline

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 01 Oct 2020 15:43:37 +0200
