=== debian/control ===
Source: ufo-core
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
 Serge Cohen <serge1cohen@free.fr>,
 Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>
Section: libs
Priority: optional
Build-Depends: asciidoc,
               bash-completion,
               cmake,
               debhelper-compat (= 12),
               dh-python,
               gobject-introspection,
               gtk-doc-tools,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libjson-glib-dev,
               libzmq3-dev,
               ocl-icd-opencl-dev,
               python3-dev,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/ufo-core
Vcs-Git: https://salsa.debian.org/science-team/ufo-core.git
Homepage: http://ufo.kit.edu/

Package: gir1.2-ufo-1.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for high-performance, GPU-based computing - gir binding
 The UFO data processing framework is a C library suited to build
 general purpose streams data processing on heterogeneous
 architectures such as CPUs, GPUs or clusters. It is extensively used
 at the Karlsruhe Institute of Technology for Ultra-fast X-ray Imaging
 (radiography, tomography and laminography).
 .
 A gobject-instrospection binding is also provided to write scripts or
 user interfaces.
 .
 This package can be used by other packages using the GIRepository
 format to generate dynamic bindings.

Package: libufo1
Architecture: any
Multi-Arch: same
Section: libs
Depends: libufo-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for high-performance, GPU-based computing - runtime
 The UFO data processing framework is a C library suited to build
 general purpose streams data processing on heterogeneous
 architectures such as CPUs, GPUs or clusters. It is extensively used
 at the Karlsruhe Institute of Technology for Ultra-fast X-ray Imaging
 (radiography, tomography and laminography).
 .
 A gobject-instrospection binding is also provided to write scripts or
 user interfaces.
 .
 This package provides the runtime for libufo.

Package: libufo-bin
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: ufo-core-doc
Description: Library for high-performance, GPU-based computing - tools
 The UFO data processing framework is a C library suited to build
 general purpose streams data processing on heterogeneous
 architectures such as CPUs, GPUs or clusters. It is extensively used
 at the Karlsruhe Institute of Technology for Ultra-fast X-ray Imaging
 (radiography, tomography and laminography).
 .
 A gobject-instrospection binding is also provided to write scripts or
 user interfaces.
 .
 This package contains binaries to run JSON descriptions of task graphs.

Package: libufo-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Library for high-performance, GPU-based computing - data
 The UFO data processing framework is a C library suited to build
 general purpose streams data processing on heterogeneous
 architectures such as CPUs, GPUs or clusters. It is extensively used
 at the Karlsruhe Institute of Technology for Ultra-fast X-ray Imaging
 (radiography, tomography and laminography).
 .
 A gobject-instrospection binding is also provided to write scripts or
 user interfaces.
 .
 This package provides the openCL kernel files and templates to write
 ufo filters

Package: libufo-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-ufo-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libjson-glib-dev,
         libpython3-dev,
         libufo1 (= ${binary:Version}),
         libzmq3-dev,
         ocl-icd-opencl-dev,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: ufo-core-doc
Description: Library for high-performance, GPU-based computing - devel
 The UFO data processing framework is a C library suited to build
 general purpose streams data processing on heterogeneous
 architectures such as CPUs, GPUs or clusters. It is extensively used
 at the Karlsruhe Institute of Technology for Ultra-fast X-ray Imaging
 (radiography, tomography and laminography).
 .
 A gobject-instrospection binding is also provided to write scripts or
 user interfaces.
 .
 This package contain the development files for libufo.

Package: ufo-core-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Library for high-performance, GPU-based computing - documentation
 The UFO data processing framework is a C library suited to build
 general purpose streams data processing on heterogeneous
 architectures such as CPUs, GPUs or clusters. It is extensively used
 at the Karlsruhe Institute of Technology for Ultra-fast X-ray Imaging
 (radiography, tomography and laminography).
 .
 A gobject-instrospection binding is also provided to write scripts or
 user interfaces.
 .
 This package provides the documentation for libufo.
