## ufo-core 0.16.0.90.gec8a707

=== debian/changelog ===
ufo-core (0.16.0.90.gec8a707-2) unstable; urgency=medium

  * dh_missing --list-missing

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 22 Mar 2025 15:45:26 +0100

ufo-core (0.16.0.90.gec8a707-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Remove field Section on binary package libufo1 that duplicates source.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Serge Cohen ]
  * Merge KIT's newer version into the sources

  [ Picca Frédéric-Emmanuel ]
  Add missing build dependency on gobject-introspection-bin for addon gir.
  Replace XC-Package-Type with Package-Type.
  Remove unnecessary XS-Testsuite field in debian/control.
  Update standards version to 4.6.2, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 22 Mar 2025 14:37:49 +0100
