=== debian/control ===
--- 
+++ 
@@ -1,27 +1,34 @@
 Source: ufo-core
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
+Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Uploaders:
+ Picca Frédéric-Emmanuel <picca@debian.org>,
+ Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Serge Cohen <serge1cohen@free.fr>,
- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>
+ Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>,
 Section: libs
 Priority: optional
-Build-Depends: asciidoc,
-               bash-completion,
-               cmake,
-               debhelper-compat (= 12),
-               dh-python,
-               gobject-introspection,
-               gtk-doc-tools,
-               libgirepository1.0-dev,
-               libglib2.0-dev,
-               libjson-glib-dev,
-               libzmq3-dev,
-               ocl-icd-opencl-dev,
-               python3-dev,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ dh-sequence-gir,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ asciidoc,
+ bash-completion,
+ cmake,
+ gobject-introspection,
+ gobject-introspection-bin,
+ gtk-doc-tools,
+ libgirepository1.0-dev,
+ libglib2.0-dev,
+ libjson-glib-dev,
+ libzmq3-dev,
+ ocl-icd-opencl-dev,
+ python3-dev,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+ python3-sphinxcontrib.bibtex,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/ufo-core
 Vcs-Git: https://salsa.debian.org/science-team/ufo-core.git
 Homepage: http://ufo.kit.edu/
@@ -30,8 +37,12 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${gir:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: Library for high-performance, GPU-based computing - gir binding
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
@@ -48,9 +59,12 @@
 Package: libufo1
 Architecture: any
 Multi-Arch: same
-Section: libs
-Depends: libufo-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libufo-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: Library for high-performance, GPU-based computing - runtime
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
@@ -65,8 +79,12 @@
 
 Package: libufo-bin
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Suggests: ufo-core-doc
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Suggests:
+ ufo-core-doc,
 Description: Library for high-performance, GPU-based computing - tools
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
@@ -82,7 +100,8 @@
 Package: libufo-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Library for high-performance, GPU-based computing - data
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
@@ -100,16 +119,19 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gir1.2-ufo-1.0 (= ${binary:Version}),
-         libglib2.0-dev,
-         libjson-glib-dev,
-         libpython3-dev,
-         libufo1 (= ${binary:Version}),
-         libzmq3-dev,
-         ocl-icd-opencl-dev,
-         ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Suggests: ufo-core-doc
+Depends:
+ gir1.2-ufo-1.0 (= ${binary:Version}),
+ libglib2.0-dev,
+ libjson-glib-dev,
+ libpython3-dev,
+ libufo1 (= ${binary:Version}),
+ libzmq3-dev,
+ ocl-icd-opencl-dev,
+ ${misc:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
+Suggests:
+ ufo-core-doc,
 Description: Library for high-performance, GPU-based computing - devel
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
@@ -126,7 +148,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: Library for high-performance, GPU-based computing - documentation
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
