## ufo-core 0.17.0.20.gd3d8998

=== debian/changelog ===
ufo-core (0.17.0.20.gd3d8998-1) unstable; urgency=medium

  [ Serge Cohen ]
  * New upstream version 0.17.0.20.gd3d8998
  * Corrected the library so version number
 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 29 Apr 2025 16:13:34 +0200

ufo-core (0.17.0.19.gdcddfe8-1) unstable; urgency=medium

  [ Serge Cohen ]
  * New upstream version 0.17.0.19.gdcddfe8
  * Added autopkgtest tests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 26 Apr 2025 16:01:16 +0200
