=== debian/control ===
--- 
+++ 
@@ -83,8 +83,10 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+ python3-numpy,
+ python3-jinja2
 Suggests:
- ufo-core-doc,
+ ufo-core-doc
 Description: Library for high-performance, GPU-based computing - tools
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
