=== debian/tests/control ===
Test-Command: ufo-launch --version
Depends: libufo-bin

Test-Command: ufo-runjson --version
Depends: libufo-bin

Test-Command: ufo-query --list --verbose
Depends: libufo-bin

Test-Command: ufo-mkfilter --help
Depends: libufo-bin

Test-Command: ufo-prof --help
Depends: libufo-bin
