## ufo-core 0.17.0.22.gc831aec

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 cmake_policy(SET CMP0054 OLD)
 endif ()
 
-project(ufo C)
+project(ufo)
 
 set(TARNAME "libufo")
 
@@ -45,8 +45,9 @@
 
 #}}}
 #{{{ Options
-option(WITH_TESTS "Build test suite" ON)
+option(WITH_TESTS "Build test suite" OFF)
 option(WITH_DEPRECATED_OPENCL_1_1_API "Build with deprecated OpenCL 1.1 API" ON)
+set(UFO_MAX_INPUT_NODES "64" CACHE STRING "Maximum number of allowed input nodes for a task")
 
 if (WITH_DEPRECATED_OPENCL_1_1_API)
     add_definitions ("-DCL_USE_DEPRECATED_OPENCL_1_1_APIS")
