=== meson_options.txt ===
--- 
+++ 
@@ -9,3 +9,16 @@
 option('bashcompletiondir',
     type: 'string',
     description: 'directory for bash complection scripts ["no" disables]')
+
+option('ufo_max_input_nodes',
+    type: 'integer', value: 64,
+    description: 'Maximum number of allowed input nodes for a task')
+
+option('with_tests',
+    type: 'boolean', value: false,
+    description: 'Specifies if tests are build.')
+
+option('python',
+    type : 'string',
+    value : 'python3',
+    description : 'Name of python executable')
