=== tests/unit/CMakeLists.txt ===
--- 
+++ 
@@ -6,11 +6,16 @@
     test-graph.c
     test-node.c
     test-profiler.c
+    test-max-input-nodes.cpp
     )
 
 set(SUITE_BIN "test-suite")
 
 add_executable(${SUITE_BIN} ${TEST_SRCS})
+
+set_property(TARGET ${SUITE_BIN} PROPERTY CXX_STANDARD 11)
+set_property(TARGET ${SUITE_BIN} PROPERTY CXX_STANDARD_REQUIRED ON)
+
 
 target_link_libraries(${SUITE_BIN} ufo m ${UFOCORE_DEPS})
