=== debian/changelog ===
ufo-core (0.17.0.22.gc831aec-1) unstable; urgency=medium

  * Trying to make the package backportable to bookworm
  * New upstream version 0.17.0.22.gc831aec

 -- Serge Cohen <serge.cohen@cnrs.fr>  Sat, 10 May 2025 15:11:56 +0200
