=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  bash-completion,
  cmake,
  gobject-introspection,
- gobject-introspection-bin,
+ gobject-introspection-bin | gobject-introspection,
  gtk-doc-tools,
  libgirepository1.0-dev,
  libglib2.0-dev,
