=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-#export DH_VERBOSE=1
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with gir,python3,sphinxdoc --without autoreconf --buildsystem=cmake
+	dh $@ --without autoreconf --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DINSTALL_COMPLETION=ON -DWITH_SYSTEMD=ON
@@ -36,4 +33,7 @@
 	dh_install -p ufo-core-doc usr/share/gtk-doc
 	dh_install -p ufo-core-doc ./*/docs/manual/html usr/share/doc/ufo-core-doc
 
-	dh_install --remaining-packages
+	dh_install -a
+
+override_dh_missing:
+	dh_missing --list-missing
